package com.jianshui.invoice.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jianshui.invoice.domain.BillInfo;
import com.jianshui.invoice.domain.SkDyj;

/**
 * 打印机Mapper接口
 *
 * @author jianshui
 * @date 2023-01-09
 */
public interface SkDyjMapper extends BaseMapper<SkDyj>
{
    /**
     * 查询打印机
     *
     * @param id 打印机主键
     * @return 打印机
     */
    public SkDyj selectSkDyjById(Long id);

    /**
     * 查询打印机列表
     *
     * @param skDyj 打印机
     * @return 打印机集合
     */
    public List<SkDyj> selectSkDyjList(SkDyj skDyj);

    /**
     * 新增打印机
     *
     * @param skDyj 打印机
     * @return 结果
     */
    public int insertSkDyj(SkDyj skDyj);

    /**
     * 修改打印机
     *
     * @param skDyj 打印机
     * @return 结果
     */
    public int updateSkDyj(SkDyj skDyj);

    /**
     * 删除打印机
     *
     * @param id 打印机主键
     * @return 结果
     */
    public int deleteSkDyjById(Long id);

    /**
     * 批量删除打印机
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSkDyjByIds(Long[] ids);
}
